///*----------------------------------------------------------------------------
// TOOLS.H
//*----------------------------------------------------------------------------
#ifndef __TOOLS_H
#define __TOOLS_H
//*----------------------------------------------------------------------------
// HIER STEHEN ALLE INCLUDES
// in allen Dateien muss deshalb nur die "tools.h" eingebunden werden
//*----------------------------------------------------------------------------
#include <stdint.h>
#include <stdio.h> 
#include <string.h>
#include <avr/pgmspace.h>
#include "avr_compiler.h"
#include "clksys_driver.h"
#include "rtc_driver.h"
#include "twi_master_driver.h"
#include "typedefs.h"
#include "font.h"
#include "spic.h"
#include "dogm-graphic.h"
#include "xitoa.h"


//*----------------------------------------------------------------------------
	#define CPU_SPEED   16000000	// TWI // Achtung CPU Takt !!
	#define BAUDRATE	400000      // TWI bertragungsgeschwindigkeit
	#define TWI_BAUDSETTING TWI_BAUD(CPU_SPEED, BAUDRATE)





//*----------------------------------------------------------------------------

void bmp085_auslesen_EEPROM(TWI_Master_t *twi); // DS1338 auslesen und Datum und Uhrzeit speichern
void bmp085_auslesen_UT(TWI_Master_t *twi); // DS1338 auslesen und Datum und Uhrzeit speichern
void bmp085_auslesen_UP(TWI_Master_t *twi); // DS1338 auslesen und Datum und Uhrzeit speichern
void ausgabe(void); 	// Zeit und Datum ausgeben, 
void rtcInit(void);
void font_set_config(FONT_P font, uint8_t style);
uint16_t putc_simple(char c);

//*----------------------------------------------------------------------------

 

#endif
